# boot_info.h

The goal of this file is to provide a universal struct of information needed by the kernel at start time.
At the moment this information is very limine specific, but the goal is to make it easy to add support for other boot protocols.

# `boot_info_T` - struct
| Name        | Description                                       |
|-------------|---------------------------------------------------|
| framebuffer | struct with information about the graphics buffer |
| terminal    | bootloader terminal / graphical log               |
| memory_map  | information about the memory layout / regions     |
| kernel_file | The unparsed kernel ELF file                      |
| rsdp        | _Root System Description Pointer_                 |