# font.h

Basic bitmap font definitions.

# `font_T` - struct

| Name       | Type     | Description                                    |
|------------|----------|------------------------------------------------|
| width      | uint8_t  | The width of each char (in pixels)             |
| height     | uint8_t  | The height of each char (in pixels)            |
| glyph_size | uint8_t  | The amount of bytes a char takes in the buffer |
| buffer     | uint8_t* | The buffer, where the char bitmaps lay         |

# `g_font` - global variable
A globally usable 8x8 font.
