# framebuffer.h

Framebuffer definitions.

#### `framebuffer_T` - struct

| Name            | Type     | Description                                         |
|-----------------|----------|-----------------------------------------------------|
| address         | void*    | The address of the framebuffer                      |
| width           | uint64_t | The pixel width of the framebuffer                  |
| height          | uint64_t | The pixel height of the framebuffer                 |
| pitch           | uint64_t | The number of bytes in each row                     |
| bits_per_pixel  | uint16_t | The amount of bits a pixel consumes in the buffer   |
| bytes_per_pixel | uint8_t  | The amount of bytes a pixel consumes in the buffer  |
| shift_red       | uint8_t  | How many bits the red value is shifted in a pixel   |
| shift_green     | uint8_t  | How many bits the green value is shifted in a pixel |
| shift_blue      | uint8_t  | How many bits the blue value is shifted in a pixel  |

