# keyboard.h

The driver for PS/2 keyboards.


# `ps2_keyboard_command_E` - enum
Commands that can be issued to the keyboard.

# `ps2_keyboard_response_E` - enum
Responses that a keyboard can reply on a command.

# `ps2_keyboard_command(command, data)` - function (uint8_t)
Sends a command to the keyboard.

# `ps2_keyboard_init()` - function (void)
Initializes the keyboard driver.
This should only be called by the PS/2 controller init function.

# `ps2_keyboard_read()` - function (void)
Reads a key from the keyboard and writes it to the tty.
This should be called when IRQ1 is fired.

# `ps2_keyboard_command_to_string(command)` - function (string_t)
Returns a matching string for **_command_** in `ps2_keyboard_command_E`.
