# exceptions.h

CPU-exception handling.

OSDev Wiki: [Exceptions](https://wiki.osdev.org/Exceptions)

# `exception_type_E` - enum
These are just the definitions of the CPU-exception interrupt IDs.

# `g_exception_type_strings` - global variable
This array of strings defines the names of the CPU-exceptions.

# `exception_handle(cpu_state)` - function (cpu_state_T*)
If an interrupt is an exception, the interrupt handler will call this function to handle the exception.
At the moment it will just panic, but in far future this could get expanded for page swapping, etc.
