# io.h

Provides basic input/output functionalities.

# `io_out_byte(port, data)` - function (void)
Writes one byte of **_data_** to **_port_**.
This is a wrapper around the assembly `outb` instruction.

# `io_in_byte(port)` - function (uint8_t)
Reads one byte from **_port_** and returns it.
This is a wrapper around the assembly `inb` instruction.

# `io_wait()` - function (void)
Waits one IO cycle.
Should be used to give the devices enough time to respond.
